> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List remote model upload events

> Lists progress and diagnostic events for a remote model import job.



## OpenAPI

````yaml GET /projects/{projectId}/models/uploads/{id}/events
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
    description: Default environment for APIs
  - url: https://api-inference.together.ai/v2
    description: Optimized environment for inference
security:
  - bearerAuth: []
paths:
  /projects/{projectId}/models/uploads/{id}/events:
    get:
      tags:
        - VolumeService
      summary: List remote model upload events
      description: Lists progress and diagnostic events for a remote model import job.
      operationId: VolumeService_ListRemoteModelUploadEvents
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            description: Project identifier.
            type: string
        - name: id
          in: path
          required: true
          schema:
            description: Remote upload identifier.
            type: string
        - name: limit
          in: query
          schema:
            type: integer
            description: Maximum number of events to return.
        - name: after
          in: query
          schema:
            type: string
            description: Cursor from a previous remote upload event list response.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DE.ListRemoteUploadEventsResponse'
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
      servers:
        - url: https://api.together.ai/v2
components:
  schemas:
    DE.ListRemoteUploadEventsResponse:
      type: object
      description: Status and diagnostic events for a remote model import job.
      required:
        - data
        - object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/DE.RemoteUploadEvent'
          description: Events for the remote upload.
        next_cursor:
          type: string
          description: Cursor for the next page. Null if there are no more results.
        object:
          const: list
          description: Object type. Always `list`.
    ErrorData:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              nullable: false
            type:
              type: string
              nullable: false
            param:
              type: string
              nullable: true
              default: null
            code:
              type: string
              nullable: true
              default: null
          required:
            - type
            - message
    DE.RemoteUploadEvent:
      type: object
      required:
        - id
        - createdAt
        - level
        - type
        - message
      properties:
        id:
          type: string
          description: Unique event identifier.
        createdAt:
          type: string
          format: date-time
          description: Time when the event was recorded.
        level:
          enum:
            - LEVEL_DEBUG
            - LEVEL_INFO
            - LEVEL_WARN
            - LEVEL_ERROR
          type: string
          description: Severity of the event.
        type:
          type: string
          description: >-
            Stable event type emitted by the importer, such as
            `download.started`.
        message:
          type: string
          description: Human-readable progress or diagnostic message.
      description: Progress or diagnostic event emitted while importing remote model files.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````